import type { NobjcObject } from "objc-js";
import type { _NSPersistentStoreResult } from "./NSPersistentStoreResult.js";
import type { NSPersistentCloudKitContainerEventResultType } from "./NSPersistentCloudKitContainerEventResultType.js";
export declare class _NSPersistentCloudKitContainerEventResult extends _NSPersistentStoreResult {
    static alloc(): _NSPersistentCloudKitContainerEventResult;
    static new(): _NSPersistentCloudKitContainerEventResult;
    init(): _NSPersistentCloudKitContainerEventResult;
    /** Return the result. See NSPersistentCloudKitContainerEventResultType for options */
    result(): NobjcObject | null;
    resultType(): NSPersistentCloudKitContainerEventResultType;
}
